<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>

    <meta charset="UTF-8">
    <title>User page</title>

    <link rel="stylesheet" href="../static/css/home-page.css" th:href="@{/css/home-page.css}">

    <link rel="stylesheet" href="../static/css/navbarBootstrap.css" th:href="@{/css/navbarBootstrap.css}">

    <!--NAVBAR-->
    <!--    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">-->
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <!--NAVBAR-->

    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>

    <link rel="stylesheet" href="../static/css/user-page.css" th:href="@{/css/user-page.css}">
    <link rel="stylesheet" href="../static/css/scroll.css" th:href="@{/css/scroll.css}">
    <link rel="stylesheet" href="../static/css/navbar.css" th:href="@{/css/navbar.css}">


</head>

<body class="scrollbar-morpheus-den">

<nav class="navbar navbar-icon-top navbar-expand-lg navbar-dark bg-dark">
    <a href="post-page.html" th:href="@{/home}"><img src="https://images.cooltext.com/5345905.png" width="201" height="69" alt="G S M" /></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="post-page.html" th:href="@{/home}">
                    <i class="fa fa-home"></i>
                    Home
                    <span class="sr-only">(current)</span>
                </a>
            </li>
        </ul>
        <ul class="navbar-nav ">
            <li class="nav-item">
                <a class="nav-link" href="friends-page.html" th:href="@{/friends}">
                    <i class="fa fa-users">
                        <span class="badge badge-info"> <span
                                th:text="${user.getReceivedFriendRequest().size()}"></span> </span>
                    </i>
                    Friends
                </a>
            </li>
        </ul>
        <ul class="navbar-nav ">
            <li class="nav-item">
                <a class="nav-link " href="index.html" th:href="@{/logout}">
                    <i class="fa fa-power-off"></i>
                    </i>
                    Logout
                </a>
            </li>
        </ul>
        <ul id="admin-redirect" class="navbar-nav ">
            <li class="nav-item">
                <a class="nav-link" href="admin.html" th:href="@{/admin}">
                    <i class="fa fa-lock">
                    </i>
                    Admin
                </a>
            </li>
        </ul>
        <div class="media-left pull-right "><a href="user-page.html" th:href="@{/user}"> <img
                class="rounded-circle thumbnail"
                th:src="'images/' + ${user.picture}"
                width="70" height="70" alt="Profile Pic"></a></div>
        <div class="pull-right">
            <h6><span th:text="${user.getFirstName()}"></span></h6></div>
    </div>
</nav>

<div id="user-role" style="display: none" th:text="${userRole}"></div>

<div class="row">
    <div class="col-4">
        <div class="float-md-right col-lg-11 col-md-10 hidden-sm hidden-xs ">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="media">
                        <div class="media-body">
                            <div class="background-photo">

                                <div align="middle">
                                    <img class="rounded-circle thumbnail img-responsive"
                                         th:src="'images/' + ${user.picture}"
                                         width="400px" height="400px" alt="Profile Pic">
                                </div>
                            </div>

                            <h1><span th:text="${user.getFirstName()}"></span> <span
                                    th:text="${user.getLastName()}"></span></h1>

                            <hr>
                            <h3><strong>Description</strong></h3>
                            <p><span th:text="${user.description}"></span></p>
                            <hr>
                            <h3><strong>Location</strong></h3>
                            <p><span th:text="${user.country}"></span></p>
                            <hr>
                            <h3><strong>Gender</strong></h3>
                            <p><span th:text="${user.gender}"></span></p>
                            <hr>
                            <h3><strong>Age</strong></h3>
                            <p><span th:text="${user.age}"></span></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-13"> <div class="float-md-right col-lg-11 col-md-10 hidden-sm hidden-xs ">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="media">
                        <div class="media-body">
                            <p class="text-center font-weight-bold">TOP POSTS BY LIKES</p>
                            <div id="top-post-likes-box">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>

    </div>
    <div class="col-8">
        <div class="container">
            <div class="row">
                <div id="demo" class="col-md-10 col-sm-12 pull-left posttimeline">
                    <br>
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="status-upload nopaddingbtm">
                                <span id="creation-post-error"></span>
                            <textarea id="post-content" class="form-control"
                                      placeholder="What are you doing right now?"></textarea>

                                <div id="post-type-content">

                                </div>

                                <select id="post-visibility">
                                    <option th:value="PUBLIC">Public</option>
                                    <option th:value="PRIVATE">Private</option>
                                </select>
                                <br>
                                <ul class="nav nav-pills pull-left ">
                                    <li id="text-upload">
                                        <a title="">
                                            <i class="glyphicon glyphicon-bullhorn"></i></a>
                                    </li>
                                    <li id="video-upload">
                                        <a title="" data-toggle="tooltip" data-placement="bottom"
                                           data-original-title="Picture">
                                            <i class="glyphicon glyphicon-picture"></i></a>
                                    </li>
                                </ul>
                                <button id="submit-post" type="submit" class="btn btn-success pull-right"> Share
                                </button>
                            </div>
                        </div>
                    </div>
                    <div id="post-conteiner">

                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

</body>

<script src="../static/js/home.js" th:src="@{/js/home.js}"></script>
<script src="../static/js/hide-navbar-buttons.js" th:src="@{/js/hide-navbar-buttons.js}"></script>
<script src="../static/js/post-type.js" th:src="@{/js/post-type.js}"></script>

</html>